### Hierarchy

- <internal>.ReadableOptions
- <internal>.WritableOptions
  - DuplexOptions
    - TransformOptions

## Index

### Properties

- allowHalfOpen
- autoDestroy
- decodeStrings
- defaultEncoding
- emitClose
- encoding
- highWaterMark
- objectMode
- readableHighWaterMark
- readableObjectMode
- signal
- writableCorked
- writableHighWaterMark
- writableObjectMode

### Methods

- construct
- destroy
- final
- read
- write
- writev

## Properties

### Optional allowHalfOpen

allowHalfOpen?: boolean

### Optional autoDestroy

autoDestroy?: boolean

Inherited from WritableOptions.autoDestroy

### Optional decodeStrings

decodeStrings?: boolean

Inherited from WritableOptions.decodeStrings

### Optional defaultEncoding

defaultEncoding?: BufferEncoding

Inherited from WritableOptions.defaultEncoding

### Optional emitClose

emitClose?: boolean

Inherited from WritableOptions.emitClose

### Optional encoding

encoding?: BufferEncoding

Inherited from ReadableOptions.encoding

### Optional highWaterMark

highWaterMark?: number

Inherited from WritableOptions.highWaterMark

### Optional objectMode

objectMode?: boolean

Inherited from WritableOptions.objectMode

### Optional readableHighWaterMark

readableHighWaterMark?: number

### Optional readableObjectMode

readableObjectMode?: boolean

### Optional signal

signal?: AbortSignal

Inherited from WritableOptions.signal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

### Optional writableCorked

writableCorked?: number

### Optional writableHighWaterMark

writableHighWaterMark?: number

### Optional writableObjectMode

writableObjectMode?: boolean

## Methods

### Optional construct

- construct(this: <internal>.Duplex, callback: (error?: <internal>.Error) => void): void

- Overrides WritableOptions.construct

  #### Parameters

  - ##### this: <internal>.Duplex

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional destroy

- destroy(this: <internal>.Duplex, error: <internal>.Error, callback: (error: <internal>.Error) => void): void

- Overrides WritableOptions.destroy

  #### Parameters

  - ##### this: <internal>.Duplex

  - ##### error: <internal>.Error

  - ##### callback: (error: <internal>.Error) => void

    - - (error: <internal>.Error): void

      - #### Parameters

        - ##### error: <internal>.Error

        #### Returns void

### Optional final

- final(this: <internal>.Duplex, callback: (error?: <internal>.Error) => void): void

- Overrides WritableOptions.final

  #### Parameters

  - ##### this: <internal>.Duplex

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional read

- read(this: <internal>.Duplex, size: number): void

- Overrides ReadableOptions.read

  #### Parameters

  - ##### this: <internal>.Duplex

  - ##### size: number

  #### Returns void

### Optional write

- write(this: <internal>.Duplex, chunk: any, encoding: BufferEncoding, callback: (error?: <internal>.Error) => void): void

- Overrides WritableOptions.write

  #### Parameters

  - ##### this: <internal>.Duplex

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional writev

- writev(this: <internal>.Duplex, chunks: { chunk: any; encoding: BufferEncoding }[], callback: (error?: <internal>.Error) => void): void

- Overrides WritableOptions.writev

  #### Parameters

  - ##### this: <internal>.Duplex

  - ##### chunks: { chunk: any; encoding: BufferEncoding }[]

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

Generated using TypeDoc